Bug 803184 - Launching first instance in RHEV says :"Cannot add VM. VM with the same name already exists"
Launching first instance in RHEV says :"Cannot add VM. VM with the same name ...
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Angus Thomas
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 03:09 EDT by Shveta
Modified: 2012-08-30 13:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 13:12:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cannot launch vm (210.55 KB, image/png)
2012-03-14 03:09 EDT, Shveta
no flags Details

  None (edit)
Description Shveta 2012-03-14 03:09:41 EDT
Created attachment 569881 [details]
cannot launch vm

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always 
repo used :
http://download.lab.bos.redhat.com/rel-eng/CloudForms/1.0/2012-03-13.1/el6-ce/x86_64/

Steps to Reproduce:
1.  Built and Pushed for Rhev

template used :
    <template>
      <name>RHEL6.2-rhevm</name>
      <os>
        <name>RHEL-6</name>
        <version>2</version>
        <arch>x86_64</arch>
        <install type="url">
            <url>http://download.devel.redhat.com/released/RHEL-6/6.2/Server/x86_64/os/</url>
        </install>
        <rootpw>redhat</rootpw>
      </os>
      <repositories>
        <repository name="aeolus">
              <url>http://download.devel.redhat.com/rel-eng/CloudForms/1.0/latest/el6-tools/x86_64/</url>
          <signed>False</signed>
        </repository>
        <repository name="RHEL">
            <url>http://download.devel.redhat.com/released/RHEL-6/6.2/Server/x86_64/os/</url>
        </repository>
        <repository name="RHEL-optional">
            <url>http://download.devel.redhat.com/released/RHEL-6/6.2/Server/optional/x86_64/os/</url>
        </repository>
      </repositories>
      <packages>
        <package name='rhev-agent'/>
      </packages>
      <description>RHEL62 x86_64 </description>
    </template>

2. Created a Blueprint from that component outline
3. Launch Instance 
RHEL6-2-rhevm500 : Cannot add VM. VM with the same name already exists.

After this all instance show application launched , but instances shows Stopped state
  
Actual results:


Expected results:


Additional info:
rpm -qa|grep aeolus
aeolus-conductor-doc-0.8.0-41.el6.noarch
rubygem-aeolus-cli-0.3.0-13.el6.noarch
aeolus-all-0.8.0-41.el6.noarch
aeolus-conductor-0.8.0-41.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-configure-2.5.0-18.el6.noarch
aeolus-conductor-daemons-0.8.0-41.el6.noarch


==================================Rails .log=============================

  Quota Load (0.3ms)  SELECT "quotas".* FROM "quotas" WHERE "quotas"."id" = 4 LIMIT 1 FOR UPDATE
  AREL (0.5ms)  UPDATE "instances" SET "provider_account_id" = 2, "state" = 'create_failed', "updated_at" = '2012-03-14 04:58:53.952374', "lock_version" = 1 WHERE ("instances"."id" = 4 AND "instances"."lock_version" = 0)
  Deployment Load (0.4ms)  SELECT "deployments".* FROM "deployments" WHERE "deployments"."id" = 4 LIMIT 1
  CACHE (0.0ms)  SELECT "deployments".* FROM "deployments" WHERE "deployments"."id" = 4 LIMIT 1
  SQL (0.4ms)  INSERT INTO "events" ("updated_at", "created_at", "description", "source_id", "event_time", "status_code", "source_type", "summary") VALUES ('2012-03-14 04:58:53.958100', '2012-03-14 04:58:53.958100', NULL, 4, '2012-03-14 04:58:53.000000', 'create_failed', 'Instance', 'state changed to create_failed') RETURNING "id"
  SQL (15.8ms)  COMMIT
  SQL (0.1ms)  BEGIN
  AREL (0.6ms)  UPDATE "tasks" SET "time_ended" = '2012-03-14 04:58:53.978775', "lock_version" = 2, "state" = 'failed' WHERE "tasks"."type" = 'InstanceTask' AND ("tasks"."id" = 10 AND "tasks"."lock_version" = 1)
  SQL (3.2ms)  COMMIT
500 : Cannot add VM. VM with the same name already exists.

    /usr/share/deltacloud-core/lib/deltacloud/drivers/rhevm/rhevm_client.rb:177:in `create_vm'
    /usr/share/deltacloud-core/lib/deltacloud/drivers/rhevm/rhevm_driver.rb:206:in `create_instance'
    /usr/share/deltacloud-core/lib/deltacloud/base_driver/exceptions.rb:151:in `call'
    /usr/share/deltacloud-core/lib/deltacloud/base_driver/exceptions.rb:151:in `safely'
    /usr/share/deltacloud-core/lib/deltacloud/drivers/rhevm/rhevm_driver.rb:197:in `create_instance'
    /usr/share/deltacloud-core/lib/deltacloud/server.rb:480
    /usr/share/deltacloud-core/lib/sinatra/rabbit.rb:125:in `instance_eval'
    /usr/share/deltacloud-core/lib/sinatra/rabbit.rb:125:in `POST /api/instances'
    /usr/lib/ruby/gems/1.8/gems/sinatra-1.2.6/lib/sinatra/base.rb:1151:in `call'
    /usr/lib/ruby/gems/1.8/gems/sinatra-1.2.6/lib/sinatra/base.rb:1151:in `compile!'
Redirected to https://amd-ma78gm-01.rhts.eng.bos.redhat.com/conductor/deployments/4
Completed 302 Found in 2598ms
Comment 1 Dave Johnson 2012-03-14 09:28:26 EDT
This does not appear to be a issue, Shveta is running another round of tests to confirm.

Note You need to log in before you can comment on or make changes to this bug.